import 'package:flutter/material.dart';

import 'package:provider/provider.dart';

import 'package:pshared/controllers/payment/source.dart';

import 'package:pweb/widgets/payment/source_wallet_selector/view.dart';

class PaymentMethodSelector extends StatelessWidget {
  const PaymentMethodSelector({super.key});

  @override
  Widget build(BuildContext context) => Consumer<PaymentSourceController>(
    builder: (context, provider, _) =>
        SourceWalletSelector(sourceController: provider),
  );
}
